/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "asset/assetjson.h"

/**
 * Loads a JSON object from the asset file.
 * 
 * @param key The key to load.
 * @param json The value to load into.
 */
void assetLanguageObjectLoad(
  const char_t *key,
  assetjson_t *json
);

/**
 * Loads the language file from the specified path.
 * 
 * @param path Path to the language file.
 */
void assetLanguageLoad(const char_t *path);