/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "display/frame.h"

/**
 * Clears the frame buffer with a character and color.
 * 
 * @param c Character to clear the frame buffer with.
 * @param color Color to clear the frame buffer with.
 */
void drawClear(
  const char_t c,
  const uint8_t color
);

/**
 * Draws a box to the frame buffer.
 * 
 * @param x The x position to draw the box.
 * @param y The y position to draw the box.
 * @param width The width of the box.
 * @param height The height of the box.
 * @param c The character to draw the box with.
 * @param color The color to draw the box.
 */
void drawBox(
  const uint16_t x,
  const uint16_t y,
  const uint16_t width,
  const uint16_t height,
  const char_t c,
  const uint8_t color
);