/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "display/frame.h"

/**
 * Draws some text to the frame buffer.
 * 
 * @param text The text to draw.
 * @param len The length of the text to draw.
 * @param x The x position to draw the text.
 * @param y The y position to draw the text.
 * @param color The color to draw the text.
 */
void drawText(
  const char_t *text,
  const size_t len,
  const uint16_t x,
  const uint16_t y,
  const uint8_t color
);