/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "mapchange.h"
#include "asset/assetmap.h"
#include "game/game.h"
#include "util/memory.h"

void gameStateMapChangeUpdate() {
  // First try and find the player object
  entity_t *player = NULL;
  player_t oldPlayerData;
  entitydirection_t dir = ENTITY_DIRECTION_SOUTH;
  if(GAME.currentMap != NULL) {
    player = mapEntityGetByType(GAME.currentMap, ENTITY_TYPE_PLAYER);
    dir = player->direction;
    oldPlayerData = player->player;
  }

  assetMapLoad(MAP_LIST_PATHS[GAME.mapNext], &MAP_MAIN);
  GAME.state = GAME_STATE_OVERWORLD;
  GAME.currentMap = &MAP_MAIN;

  // Do not reference player since its invalid, just check if it DID exist
  if(GAME.currentMap != NULL && player != NULL) {
    player = mapEntityGetByType(GAME.currentMap, ENTITY_TYPE_PLAYER);
    if(player == NULL) return;

    player->player = oldPlayerData;
    player->direction = dir;
  }
}