/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "overworld.h"
#include "game/game.h"
#include "input.h"
#include "ui/textbox.h"
#include "ui/testmenu.h"
#include "rpg/conversation/conversation.h"

void gameStateOverworldUpdate() {
  textboxUpdate();
  testMenuUpdate();
  conversationUpdate();

  if(GAME.currentMap) mapUpdate(GAME.currentMap);
  if(inputWasPressed(INPUT_BIND_PAUSE)) GAME.state = GAME_STATE_PAUSED;
}