/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "language.h"
#include "assert/assert.h"
#include "util/memory.h"

language_t LANGUAGE;

void languageInit() {
  memorySet(&LANGUAGE, 0, sizeof(language_t));
}

const char_t * languageGetPointer(const char_t *key) {
  assertNotNull(key, "Key cannot be NULL.");

  language_t *lang = &LANGUAGE;
  lang->count;

  int32_t i = 0;
  while(i < LANGUAGE.count) {
    if(strcmp(key, LANGUAGE.keys[i]) != 0) {
      i++;
      continue;
    }
    return LANGUAGE.strings[i];
  }

  return NULL;
}

int32_t languageGet(char_t *buffer, const char_t *key) {
  const char_t *str = languageGetPointer(key);
  if(str == NULL) return -1;
  if(buffer == NULL) return strlen(str);

  strcpy(buffer, str);
  return strlen(str);
}