/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "conversation.h"

/**
 * Initializes the conversation object for a tile interaction.
 * 
 * @param convo The conversation object to initialize.
 * @param i The index to initialize the conversation at.
 * @return The next index to run.
 */
uint16_t conversationInteractTileInit(
  conversation_t *convo, const uint16_t i
);

/**
 * Updates the conversation object for a tile interaction.
 * 
 * @param convo The conversation object to update.
 * @param i The index to update the conversation at.
 * @return The next index to run.
 */
uint16_t conversationInteractTileUpdate(
  conversation_t *convo, const uint16_t i
);