/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "npc.h"
#include "assert/assert.h"

void npcInit(npc_t *npc) {
  assertNotNull(npc, "npcInit: NPC is NULL!");
}

void npcNameSet(npc_t *npc, const char_t *name) {
  assertNotNull(npc, "npcNameSet: NPC is NULL!");
  assertNotNull(name, "npcNameSet: Name is NULL!");
  strncpy(npc->text.name, name, LANGUAGE_STRING_KEY_LENGTH_MAX);
}

void npcTextSet(npc_t *npc, const char_t *text) {
  assertNotNull(npc, "npcTextSet: NPC is NULL!");
  assertNotNull(text, "npcTextSet: Text is NULL!");
  strncpy(npc->text.text, text, LANGUAGE_STRING_KEY_LENGTH_MAX);
}