/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

typedef struct _entity_t entity_t;

typedef struct {
  uint8_t mana;
} player_t;

/**
 * Initializes a player entity.
 * 
 * @param entity Player entity to initialize.
 */
void playerInit(entity_t *entity);

/**
 * Updates a player entity.
 * 
 * @param entity Player entity to update.
 */
void playerUpdate(entity_t *entity);