/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "sign.h"
#include "assert/assert.h"
#include "util/memory.h"

void signInit(sign_t *sign) {
  assertNotNull(sign, "signInit: Sign is NULL!");
  memorySet(sign, 0, sizeof(sign_t));
}

void signTextAppend(sign_t *sign, const char_t *text) {
  assertNotNull(sign, "signConversationAppend: Sign is NULL!");
  assertNotNull(text, "signConversationAppend: Text is NULL!");

  // Find the first empty slot
  for(int32_t i = 0; i < SIGN_TEXT_COUNT_MAX; i++) {
    if(sign->texts[i][0] == '\0') {
      strncpy(sign->texts[i], text, LANGUAGE_STRING_KEY_LENGTH_MAX);
      return;
    }
  }

  assertUnreachable("signConversationAppend: No empty slots found!");
}