/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "locale/language.h"

#define SIGN_TEXT_COUNT_MAX 32

typedef struct {
  char_t texts[SIGN_TEXT_COUNT_MAX][LANGUAGE_STRING_KEY_LENGTH_MAX+1];
} sign_t;

/**
 * Initializes a sign.
 * 
 * @param sign Sign to initialize.
 */
void signInit(sign_t *sign);

/**
 * Appends text to the sign's conversation.
 * 
 * @param sign Sign to append conversation to.
 * @param text Text to append.
 */
void signTextAppend(sign_t *sign, const char_t *text);