/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "maplist.h"
#include "assert/assert.h"

const char_t * MAP_LIST_PATHS[] = {
  "testmap.map",
  "testmap2.map",
};

const int32_t MAP_LIST_COUNT = sizeof(MAP_LIST_PATHS) / sizeof(char_t*);

maplist_t mapListGet(const char_t *name) {
  for(int32_t i = 0; i < MAP_LIST_COUNT; i++) {
    if(strcmp(name, MAP_LIST_PATHS[i]) != 0) continue;
    return (maplist_t)i;
  }
  assertUnreachable("mapListGet: Map list %s not found!", name);
}