/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "ui/menu.h"

extern menu_t MAIN_MENU;

/**
 * Initializes the main menu.
 */
void mainMenuInit();

/**
 * Updates the main menu.
 */
void mainMenuUpdate();

/**
 * Callback for when a main menu item is selected.
 * 
 * @param menu The menu that was selected.
 * @param x The x position of the selected item.
 * @param y The y position of the selected item.
 * @param str The string of the selected item.
 */
void mainMenuSelectCallback(
  const menu_t *menu,
  const uint16_t x,
  const uint16_t y,
  const char_t *str
);